com.genesyslab.wfm7.API.service.calendar720

## Class CalNotification

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar720.CalNotification

- All Implemented Interfaces:
    java.io.Serializable

      public class CalNotification
      extends java.lang.Object
      implements java.io.Serializable

  Stores all calendar data changes from one point of time to another.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CfgAgentShort[]` | `cfgAgentInfo` Contains short agent information for every unique agent in returned agent days.
    `private int` | `cfgAgentInfoNSizeIs` Number of elements in "cfgAgentInfo" array
    `private CalAuditItem[]` | `changes` A list of `CalAuditItem` that have been modified.
    `private int` | `changesNSizeIs` Number of elements in "changes" array
    `private CalItemShortInformation[]` | `items` Contains list of detailed information about modified Calendar Items `CalItemShortInformation`
    `private int` | `itemsNSizeIs` Number of elements in "items" array
    `private long` | `timestamp` New timestamp value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalNotification()`
    `CalNotification(long timestamp, int changesNSizeIs, CalAuditItem[] changes, int itemsNSizeIs, CalItemShortInformation[] items, int cfgAgentInfoNSizeIs, CfgAgentShort[] cfgAgentInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CfgAgentShort[]` | `getCfgAgentInfo()` Gets the cfgAgentInfo value for this CalNotification.
    `int` | `getCfgAgentInfoNSizeIs()` Gets the cfgAgentInfoNSizeIs value for this CalNotification.
    `CalAuditItem[]` | `getChanges()` Gets the changes value for this CalNotification.
    `int` | `getChangesNSizeIs()` Gets the changesNSizeIs value for this CalNotification.
    `CalItemShortInformation[]` | `getItems()` Gets the items value for this CalNotification.
    `int` | `getItemsNSizeIs()` Gets the itemsNSizeIs value for this CalNotification.
    `long` | `getTimestamp()` Gets the timestamp value for this CalNotification.
    `void` | `setCfgAgentInfo(CfgAgentShort[] cfgAgentInfo)` Sets the cfgAgentInfo value for this CalNotification.
    `void` | `setCfgAgentInfoNSizeIs(int cfgAgentInfoNSizeIs)` Sets the cfgAgentInfoNSizeIs value for this CalNotification.
    `void` | `setChanges(CalAuditItem[] changes)` Sets the changes value for this CalNotification.
    `void` | `setChangesNSizeIs(int changesNSizeIs)` Sets the changesNSizeIs value for this CalNotification.
    `void` | `setItems(CalItemShortInformation[] items)` Sets the items value for this CalNotification.
    `void` | `setItemsNSizeIs(int itemsNSizeIs)` Sets the itemsNSizeIs value for this CalNotification.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CalNotification.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timestamp

          private long timestamp

      New timestamp value

    - #### changesNSizeIs

          private int changesNSizeIs

      Number of elements in "changes" array

    - #### changes

          private CalAuditItem[] changes

      A list of `CalAuditItem` that have been modified. It identifies all calendar items that have changed. Calendar item details can be found in "items" member and are uniquely identified by combination of wmCalendarItemId+timestamp.

    - #### itemsNSizeIs

          private int itemsNSizeIs

      Number of elements in "items" array

    - #### items

          private CalItemShortInformation[] items

      Contains list of detailed information about modified Calendar Items `CalItemShortInformation`

    - #### cfgAgentInfoNSizeIs

          private int cfgAgentInfoNSizeIs

      Number of elements in "cfgAgentInfo" array

    - #### cfgAgentInfo

          private CfgAgentShort[] cfgAgentInfo

      Contains short agent information for every unique agent in returned agent days. It is "null" if agent info was not requested. `CfgAgentShort`

  - ### Constructor Detail

    - #### CalNotification

          public CalNotification()

    - #### CalNotification

          public CalNotification(long timestamp,
                         int changesNSizeIs,
                         CalAuditItem[] changes,
                         int itemsNSizeIs,
                         CalItemShortInformation[] items,
                         int cfgAgentInfoNSizeIs,
                         CfgAgentShort[] cfgAgentInfo)

  - ### Method Detail

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CalNotification.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CalNotification.
      Parameters:
        `timestamp` -

    - #### getChangesNSizeIs

          public int getChangesNSizeIs()

      Gets the changesNSizeIs value for this CalNotification.
      Returns:
        changesNSizeIs

    - #### setChangesNSizeIs

          public void setChangesNSizeIs(int changesNSizeIs)

      Sets the changesNSizeIs value for this CalNotification.
      Parameters:
        `changesNSizeIs` -

    - #### getChanges

          public CalAuditItem[] getChanges()

      Gets the changes value for this CalNotification.
      Returns:
        changes

    - #### setChanges

          public void setChanges(CalAuditItem[] changes)

      Sets the changes value for this CalNotification.
      Parameters:
        `changes` -

    - #### getItemsNSizeIs

          public int getItemsNSizeIs()

      Gets the itemsNSizeIs value for this CalNotification.
      Returns:
        itemsNSizeIs

    - #### setItemsNSizeIs

          public void setItemsNSizeIs(int itemsNSizeIs)

      Sets the itemsNSizeIs value for this CalNotification.
      Parameters:
        `itemsNSizeIs` -

    - #### getItems

          public CalItemShortInformation[] getItems()

      Gets the items value for this CalNotification.
      Returns:
        items

    - #### setItems

          public void setItems(CalItemShortInformation[] items)

      Sets the items value for this CalNotification.
      Parameters:
        `items` -

    - #### getCfgAgentInfoNSizeIs

          public int getCfgAgentInfoNSizeIs()

      Gets the cfgAgentInfoNSizeIs value for this CalNotification.
      Returns:
        cfgAgentInfoNSizeIs

    - #### setCfgAgentInfoNSizeIs

          public void setCfgAgentInfoNSizeIs(int cfgAgentInfoNSizeIs)

      Sets the cfgAgentInfoNSizeIs value for this CalNotification.
      Parameters:
        `cfgAgentInfoNSizeIs` -

    - #### getCfgAgentInfo

          public CfgAgentShort[] getCfgAgentInfo()

      Gets the cfgAgentInfo value for this CalNotification.
      Returns:
        cfgAgentInfo

    - #### setCfgAgentInfo

          public void setCfgAgentInfo(CfgAgentShort[] cfgAgentInfo)

      Sets the cfgAgentInfo value for this CalNotification.
      Parameters:
        `cfgAgentInfo` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.